<div th:replace="shared/header"></div>
<div th:include="${viewPath}+'/genre-components/genre-entry-form'"></div>
<div th:include="${viewPath}+'/genre-components/delete-formdialog'"></div>


<div id="view-table" th:include="${viewPath}+'/table'"></div>
<div th:replace="shared/footer"></div>
<script>
	$(document).ready(function(){
		$('#create-genre').on('submit', function () {
			$('input[name=id]').val(0);
		      $.post('/' + pathUri + '/json', $(this).serialize(),
		        function (data) {
		          if (data === "success") {
		        	  alert('save successfull');
		        	  $('input[name=name]').val('');
		            $.get('/' + pathUri + '/table', function (data) {
		            	console.log(data);
		              $('#view-table').html(data);
		            });
		          }
		          });
		      return false;
		    });
		
		$('#view-table').on('click', '.delete-class', function(){
			var $id=$(this).attr('rel');
			var $dialog=$('#delete-form-dialog');
			$dialog.find('#delete-form input[name=id]').val($id);
			$dialog.modal();
		});
		
		$('#delete-form').on('submit', function(){
			var $dialog=$('#delete-form-dialog');
			var $id=$(this).find('input[name=id]').val();
			console.log($id);
			
			$.get('/'+pathUri+'/delete/'+$id, function(data){
				$dialog.modal('hide');
					$.get('/'+pathUri+'/table', function(data){
						$('#view-table').html(data);
					})
			});
			return false;
		});
	});
</script>